﻿@using LAP.Areas.Adviser.Models
@model ClientSurveyModel
@{
    bool isMarried = Model.ClientLoginData.ClientData.MaritalStatus == MaritalStatusEnum.Married && Model.ClientLoginData.SpouseData != null && Convert.ToDateTime(Model.ClientLoginData.ClientData.DateOfCurrentMarriage).IsNotEmptyDate();
    IEnumerable<SelectListItem> EmploymentOf = Model.EmploymentOf;
    string ClientName = EmploymentOf.FirstOrDefault(n => n.Value.ToString() == ((int)ClientTypeEnum.Client).ToString()).Text;
    string SpouseName = isMarried ? EmploymentOf.FirstOrDefault(n => n.Value.ToString() == ((int)ClientTypeEnum.Spouse).ToString()).Text : string.Empty;
    var pesonalCarePlanning = Model.ClientLoginData.PersonalCares;
    var clientPersonalCare = pesonalCarePlanning.FirstOrDefault(m => m.ClientType == ClientTypeEnum.Client);
    var spousePersonalCare = pesonalCarePlanning.FirstOrDefault(m => m.ClientType == ClientTypeEnum.Spouse);
}
<h3 style="margin-bottom:10px">Personal Care</h3>
@foreach (var item in pesonalCarePlanning)
{
    <h4 style="margin-bottom:10px" class="text-navi">@(item.ClientType == ClientTypeEnum.Client ? ClientName : SpouseName)</h4>
    <label class="font-weight-bold">Please select the appropriate exemption option below:</label>
    @foreach (var item1 in Html.GetEnumSelectList<PersonalCareEnum>())
    {
        <div>
            <input type="radio"
           checked="@((item.ClientType == ClientTypeEnum.Client && item1.Value == ((int)clientPersonalCare.PersonalCareType).ToString()) || (item.ClientType == ClientTypeEnum.Client && clientPersonalCare.Guid==Guid.Empty && item1.Value == ((int)PersonalCareEnum.Facility).ToString()) ||
                                                          (item.ClientType == ClientTypeEnum.Spouse && item1.Value == ((int)spousePersonalCare.PersonalCareType).ToString() || (item.ClientType == ClientTypeEnum.Spouse && spousePersonalCare.Guid==Guid.Empty && item1.Value == ((int)PersonalCareEnum.Facility).ToString()))
                                        ? "checked" : null)"
           value="@item1.Value" class="PersonalCareType">
            @item1.Text
        </div>
    }
    if (item.PersonalCareType != PersonalCareEnum.Facility)
    {
        <div>
            <span>Caregiver:</span>
            <span class="text-ink">@(item.CareGiverId > 0 ? item.Name : item.CareGiverId == -2 ? ClientName : item.CareGiverId == -3 ? SpouseName : "Other")</span>
        </div>
    }
    if (item.CareGiverId == -1)
    {
        <div>
            <span>Caregiver Name:</span>
            <span class="text-ink">@item.CaregiverName</span>
        </div>
        <div>
            <span>Relationship:</span>
            <span class="text-ink">@item.Relationship.GetDisplayName()</span>
        </div>
    }
}
<hr style="border-top: 1px solid #23588d;margin-top:30px" />